#ifndef MYX_QT_TRANSLATORS_HPP_
#define MYX_QT_TRANSLATORS_HPP_

#pragma once

#include <myx/backports/qt/common.hpp>
#include <myx/core/config.hpp>

#include <QTranslator>

namespace myx {

namespace qt {

using QTranslatorsList = QList< QTranslator* >;

void append_translators( QTranslatorsList& translators, const QString& appName ); // NOLINT

} // namespace qt

} // namespace myx

#endif // ifndef MYX_QT_TRANSLATORS_HPP_
